package com.starbuds.server.game.sdk.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdk.GameParam;
import lombok.Builder;
import lombok.Data;

/**
 * @author aoe
 * @date 2020/9/8
 */
@Data
@Builder
public class TransferParam extends GameParam {

    private String platform;

    @JSONField(name = "player_name")
    private String playerName;

    @JSONField(name = "player_password")
    private String playerPassword;

    /**
     * IN/OUT 转入IN,转出Out
     */
    @JSONField(name = "tran_type")
    private String tranType;

    /**
     * 必须用字符串描述金额，不得直接传数值型。另不支持小数的有：bbin
     * 就是说有一些平台要求必须整数，但有些又可以小数，所以我建议你全部用整数，小数部分，就留在三方游戏平台上就行了
     */
    private String amount;

    /**
     * 转账订单号，必须全局唯一
     */
    @JSONField(name = "order_no")
    private String orderNo;

    /**
     * 转账结果回调地址
     */
    @JSONField(name = "notify_url")
    private String notifyUrl;
}
