package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.GameParam;
import com.starbuds.server.game.sdk.GameRequest;
import com.starbuds.server.game.sdk.GameResponse;
import lombok.Data;

/**
 * 请求抽象类
 *
 * @author aoe
 * @date 2020/9/7
 */
@Data
public abstract class AbstractRequest<T extends GameResponse> implements GameRequest<T> {

    /**
     * 请求参数
     */
    protected GameParam param;

    /**
     * 超时时间（毫秒）
     *
     * @return
     */
    @Override
    public int timeout() {
        return -1;
    }
}
