package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.BatQueryBalanceParam;
import com.starbuds.server.game.sdk.param.QueryBalanceParam;
import com.starbuds.server.game.sdk.response.BatQueryBalanceResponse;
import com.starbuds.server.game.sdk.response.QueryBalanceResponse;

/**
 * 获取会员余额-所有厅
 *
 * @author aoe
 * @date 2020/9/8
 */
public class BatQueryBalanceRequest extends AbstractRequest<BatQueryBalanceResponse> {

    public BatQueryBalanceRequest(String playerName, String playerPassword) {
        BatQueryBalanceParam param = new BatQueryBalanceParam();
        param.setPlayerName(playerName);
        param.setPlayerPassword(playerPassword);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return BatQueryBalanceResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/batQueryBalance.php";
    }
}
