package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.ForwardGameParam;
import com.starbuds.server.game.sdk.response.ForwardGameResponse;

/**
 * 进入游戏
 *
 * @author aoe
 * @date 2020/9/8
 */
public class ForwardGameRequest extends AbstractRequest<ForwardGameResponse> {

    public ForwardGameRequest(String playerName, String playerPassword, String gameCode) {
        this(playerName, playerPassword, gameCode, null);
    }

    public ForwardGameRequest(String playerName, String playerPassword, String gameCode, String userIp) {
        ForwardGameParam param = new ForwardGameParam();
        param.setPlayerName(playerName);
        param.setPlayerPassword(playerPassword);
        param.setGameCode(gameCode);
        param.setUserIp(userIp);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return ForwardGameResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/forwardGame.php";
    }
}
