package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.QueryBalanceParam;
import com.starbuds.server.game.sdk.response.QueryBalanceResponse;

/**
 * 获取会员余额
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryBalanceRequest extends AbstractRequest<QueryBalanceResponse> {

    public QueryBalanceRequest(String platform, String playerName, String playerPassword) {
        QueryBalanceParam param = new QueryBalanceParam();
        param.setPlatform(platform);
        param.setPlayerName(playerName);
        param.setPlayerPassword(playerPassword);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryBalanceResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryBalance.php";
    }
}
