package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.QueryGameListParam;
import com.starbuds.server.game.sdk.response.QueryGameListResponse;

/**
 * 获取游戏列表
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryGameListRequest extends AbstractRequest<QueryGameListResponse> {

    /**
     * @param roomCode
     * @param deviceType pc,mobile
     */
    public QueryGameListRequest(String roomCode, String deviceType) {
        QueryGameListParam param = new QueryGameListParam();
        param.setRoomCode(roomCode);
        param.setDeviceType(deviceType);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryGameListResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryGameList.php";
    }
}
