package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.QueryHotGameListParam;
import com.starbuds.server.game.sdk.response.QueryGameListResponse;
import com.starbuds.server.game.sdk.response.QueryHotGameListResponse;

/**
 * 获取热门游戏列表
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryHotGameListRequest extends AbstractRequest<QueryHotGameListResponse> {

    /**
     * @param deviceType pc,mobile
     */
    public QueryHotGameListRequest(String deviceType) {
        QueryHotGameListParam param = new QueryHotGameListParam();
        param.setDeviceType(deviceType);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryHotGameListResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryHotGameList.php";
    }
}
