package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.QueryMerchantBalanceParam;
import com.starbuds.server.game.sdk.response.QueryMerchantBalanceResponse;

/**
 * 获取商户余额
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryMerchantBalanceRequest extends AbstractRequest<QueryMerchantBalanceResponse> {

    public QueryMerchantBalanceRequest(String platform) {
        QueryMerchantBalanceParam param = new QueryMerchantBalanceParam();
        param.setPlatform(platform);
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryMerchantBalanceResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryMerchantBalance.php";
    }
}
