package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.response.QueryPlatformListResponse;
import com.starbuds.server.game.sdk.response.QueryRoomListResponse;

/**
 * 获取游戏房间列表（可用于app上游戏分类，注意，一个平台可能有多个房间）
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryRoomListRequest extends AbstractRequest<QueryRoomListResponse> {

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryRoomListResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryRoomList.php";
    }
}
