package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.QueryTransferStatusParam;
import com.starbuds.server.game.sdk.param.TransferParam;
import com.starbuds.server.game.sdk.response.QueryTransferStatusResponse;
import com.starbuds.server.game.sdk.response.TransferResponse;

/**
 * 会员存取款
 *
 * @author aoe
 * @date 2020/9/8
 */
public class QueryTransferStatusRequest extends AbstractRequest<QueryTransferStatusResponse> {

    public QueryTransferStatusRequest(String platform, String playerName, String playerPassword, String orderNo) {
        QueryTransferStatusParam param = QueryTransferStatusParam.builder()
                .platform(platform)
                .playerName(playerName)
                .playerPassword(playerPassword)
                .orderNo(orderNo)
                .build();
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return QueryTransferStatusResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/queryTransferStatus.php";
    }
}
