package com.starbuds.server.game.sdk.request;

import com.starbuds.server.game.sdk.param.TransferParam;
import com.starbuds.server.game.sdk.response.TransferResponse;

/**
 * 会员存取款
 *
 * @author aoe
 * @date 2020/9/8
 */
public class TransferRequest extends AbstractRequest<TransferResponse> {

    public TransferRequest(String platform, String playerName, String playerPassword,
                           String tranType, long amount, String orderNo, String notifyUrl) {
        TransferParam param = TransferParam.builder()
                .platform(platform)
                .playerName(playerName)
                .playerPassword(playerPassword)
                .tranType(tranType)
                .amount("" + amount)
                .orderNo(orderNo)
                .notifyUrl(notifyUrl)
                .build();
        setParam(param);
    }

    /**
     * 获取请求返回类
     *
     * @return
     */
    @Override
    public Class getResponseClass() {
        return TransferResponse.class;
    }

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    @Override
    public String getServiceName() {
        return "/api/transfer.php";
    }
}
