package com.starbuds.server.game.sdkdev;

/**
 * 请求
 *
 * @author aoe
 * @date 2020/9/7
 */
public interface GameDevRequest<T extends GameDevResponse> {

    /**
     * 获取请求返回类
     *
     * @return
     */
    Class<T> getResponseClass();

    /**
     * 内部服务名，不同的 servicename 对应不同的服务类型
     *
     * @return
     */
    String getServiceName();

    /**
     * 获取请求参数
     *
     * @return
     */
    GameDevParam getParam();

    /**
     * 超时时间（毫秒）
     *
     * @return
     */
    int timeout();

}
