package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 下单接口
 * 返点序列值 在 游戏列表那边返回了
 * 玩法、玩法值、名称 在 游戏玩法接口；玩法值=detail_order 这个值
 * 单价 、 倍数，是app上 用户填写
 *
 * @author aoe
 * @date 2020/9/24
 */
@Data
@Builder
public class AddOrderParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/add_order";
    }

    private String userid;

    @JSONField(name = "game_id")
    private String gameId;

    /**
     * 下单期号
     */
    @JSONField(name = "BYT1_CUR_PNO")
    private String byt1CurPno;

    /**
     * 倍数
     */
    @JSONField(name = "BYT1_TT_BET")
    private String byt1TtBet;

    /**
     * 总额 = 单价 * 倍数
     */
    @JSONField(name = "BYT1_TT_MONEY")
    private String byt1TtMoney;

    /**
     * 明细
     * 投注模式 传1
     * <p>
     * 5S_DXDS^2^1^1^0.96^2^五星_五星大小单双|5S_DXDS^1^1^1^0.96^2^五星_五星大小单双
     * 说明：
     * 玩法id^玩法值^投注模式(默认1)^总倍投数^返点序列值^单价^名称
     * |
     * 玩法id^玩法值^投注模式(默认1)^总倍投数^返点序列值^单价^名称
     * <p>
     * 多注 以 | 隔开
     */
    @JSONField(name = "BT_DTLS")
    private String btDtls;
}
