package com.starbuds.server.game.sdkdev.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.starbuds.server.game.sdkdev.GameDevParam;
import lombok.Builder;
import lombok.Data;

/**
 * 获取订单列表
 *
 * @author aoe
 * @date 2020/9/23
 */
@Data
@Builder
public class GetOrderListParam extends GameDevParam {

    @Override
    public String getMethod() {
        return "open/get_orderlist";
    }

    private String userid;

    @JSONField(name = "game_id")
    private String gameId;

    /**
     * 0全部 1未开奖 2中奖
     */
    private String status;

    /**
     * 页码,默认1
     */
    private String page;

    /**
     * 页数,默认10
     */
    private String size;
}
