package com.starbuds.server.game.sdkdev.request;

import com.starbuds.server.game.sdkdev.GameDevParam;
import com.starbuds.server.game.sdkdev.GameDevRequest;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import lombok.Data;

/**
 * 请求抽象类
 *
 * @author aoe
 * @date 2020/9/7
 */
@Data
public abstract class AbstractDevRequest<T extends GameDevResponse> implements GameDevRequest<T> {

    /**
     * 请求参数
     */
    protected GameDevParam param;

    /**
     * 超时时间（毫秒）
     *
     * @return
     */
    @Override
    public int timeout() {
        return -1;
    }

    @Override
    public String getServiceName() {
        return "";
    }
}
