package com.starbuds.server.game.sdk.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.ForwardGameResponse;
import com.starbuds.server.game.sdk.response.QueryPlatformListResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class ForwardGameRequestTest {

    // 进入游戏-不传ip
    @Test
    public void forwardGameRequestTest() {
        ForwardGameRequest request = new ForwardGameRequest("test20200723", "123456",
                "BBIN-BYDR");
        ForwardGameResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }

    // 进入游戏-传ip
    @Test
    public void forwardGameRequestTest1() {
        ForwardGameRequest request = new ForwardGameRequest("test20200723", "123456",
                "BBIN-BYDR", "127.0.0.2");
        ForwardGameResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}