package com.starbuds.server.game.sdk.request;

import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdk.response.QueryPlatformListResponse;
import com.starbuds.server.game.sdk.response.TransferResponse;
import com.starbuds.server.game.sdk.util.TestUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class TransferRequestTest {

    private String notifyUrl = "http://api.ti1michat.net/api-notify/v1/game/receiveOrderStatus";

    // 会员存取款-转入
    @Test
    public void transferRequestInTest() {
        TransferRequest request = new TransferRequest("BBIN", "test20200723", "123456",
                "IN", 100, "" + DateUtil.now(), notifyUrl);
        TransferResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }

    // 会员存取款-转出
    @Test
    public void transferRequestOutTest() {
        TransferRequest request = new TransferRequest("BBIN", "test20200723", "123456",
                "OUT", 1, "" + DateUtil.now(), notifyUrl);
        TransferResponse res = TestUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), 0);
    }
}