package com.starbuds.server.game.sdkdev.request;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.GetBalanceParam;
import com.starbuds.server.game.sdkdev.param.GetOrderTotalParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * 根据时间范围 - 获取订单统计
 */
@Slf4j
public class GetOrderTotalRequestTest {

    @Test
    public void getOrderTotalRequestTest() {
        GetOrderTotalParam param = GetOrderTotalParam.builder()
                .userid("1")
                .startTime("" + (System.currentTimeMillis() - 30 * 86400000L))
                .endTime("" + System.currentTimeMillis())
                .build();
        GetOrderTotalRequest request = new GetOrderTotalRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }

}