package com.starbuds.server.game.sdkdev.request;

import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.starbuds.server.game.sdkdev.GameDevResponse;
import com.starbuds.server.game.sdkdev.param.TransferParam;
import com.starbuds.server.game.sdkdev.util.TestDevUtils;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

@Slf4j
public class TransferRequestTest {

    @Test
    public void getTransferInRequestTest() {
        TransferParam param = TransferParam.builder()
                .userid("1")
                // 类型 1转入 2转出
                .type("1")
                // 金额，整数，最小1
                .amount("100")
                .orderNo(DateUtil.now())
                .build();
        TransferRequest request = new TransferRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }

    @Test
    public void getTransferOutRequestTest() {
        TransferParam param = TransferParam.builder()
                .userid("1")
                // 类型 1转入 2转出
                .type("2")
                // 金额，整数，最小1
                .amount("100")
                .orderNo(DateUtil.now())
                .build();
        TransferRequest request = new TransferRequest();
        request.setParam(param);
        GameDevResponse res = TestDevUtils.getClient().execute(request);
        log.info("SDK结果");
        log.info(JSON.toJSONString(res));
        Assert.assertEquals(res.getCode(), "0000");
    }

}